# Class: UUID

## UUID

#### new UUID

  UUID

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `id` | String | The UUID to craete a UUID object from

  Source:
    - uuid.js, line 9

### Methods

#### inspect

  Inspect

  Source:
    - uuid.js, line 34

#### toBinary

  Returns a binary string representation of the UUID

  Source:
    - uuid.js, line 27

#### toBuffer

  Returns a buffer with the bytes for the UUID

  Source:
    - uuid.js, line 20

#### toString

  toString

  Source:
    - uuid.js, line 41

#### <static> fromBinary

  Creates a UUID from a binary string

  Source:
    - uuid.js, line 57

#### <static> fromBuffer

  Creates a UUID from a buffer

  Source:
    - uuid.js, line 49